GNATdoc.Documentation = {
  "label": "Mouse.Cursors.Manager",
  "qualifier": "",
  "summary": [
  ],
  "description": [
  ],
  "entities": [
    {
      "entities": [
        {
          "label": "Get_Mouse_Cursor",
          "qualifier": "",
          "line": 26,
          "column": 14,
          "src": "srcs/mouse-cursors-manager.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 26,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "function"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Get_Mouse_Cursor",
                      "href": "docs/mouse__cursors__manager___spec.html#L26C14"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "name",
                      "href": "docs/mouse__cursors__manager___spec.html#L26C32"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "String"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "return"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "A_Mouse_Cursor",
                      "href": "docs/mouse__cursors___spec.html#L16C10"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Retrieves a mouse cursor by name. 'name' should be either a previously\n"
                },
                {
                  "kind": "span",
                  "text": "registered custom cursor, or one of the following system cursor names:\n"
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "\"NONE\", \"DEFAULT\", \"ARROW\", \"BUSY\", \"QUESTION\", \"EDIT\", \"MOVE\"\n"
                },
                {
                  "kind": "span",
                  "text": "\"RESIZE_N\", \"RESIZE_W\", \"RESIZE_S\", \"RESIZE_E\"\n"
                },
                {
                  "kind": "span",
                  "text": "\"RESIZE_NW\", \"RESIZE_SW\", \"RESIZE_SE\", \"RESIZE_NE\"\n"
                },
                {
                  "kind": "span",
                  "text": "\"PROGRESS\", \"PRECISION\", \"LINK\", \"ALT_SELECT\", \"UNAVAILABLE\"\n"
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "If 'name' does not match a registered cursor, the cursor will be\n"
                },
                {
                  "kind": "span",
                  "text": "registered automatically as 'name' (see Register_Mouse_Cursor for the\n"
                },
                {
                  "kind": "span",
                  "text": "expected cursor name format). If the cursor cannot be registered, a\n"
                },
                {
                  "kind": "span",
                  "text": "default cursor will be returned.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "name",
              "line": 26,
              "column": 32,
              "type": {
                "label": "String"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Init_Mouse_Cursors",
          "qualifier": "",
          "line": 12,
          "column": 15,
          "src": "srcs/mouse-cursors-manager.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 12,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Init_Mouse_Cursors",
                      "href": "docs/mouse__cursors__manager___spec.html#L12C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Initializes the mouse cursor registry before first use.\n"
                }
              ]
            }
          ]
        },
        {
          "label": "Register_Mouse_Cursor",
          "qualifier": "",
          "line": 35,
          "column": 15,
          "src": "srcs/mouse-cursors-manager.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 35,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Register_Mouse_Cursor",
                      "href": "docs/mouse__cursors__manager___spec.html#L35C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "("
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "libAndTile",
                      "href": "docs/mouse__cursors__manager___spec.html#L35C38"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ":"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "String"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ")"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Registers a custom mouse cursor from a tile by name in a tile library.\n"
                },
                {
                  "kind": "span",
                  "text": "The format for libAndTile is \"<lib>:<tile>\", where <lib> is a tile\n"
                },
                {
                  "kind": "span",
                  "text": "library name and <tile> is a filename or tile id number in the library.\n"
                },
                {
                  "kind": "span",
                  "text": "If 'libAndTile' does not exist, or if the image is larger than 32 pixels\n"
                },
                {
                  "kind": "span",
                  "text": "to a side, then a RESOURCE_ERROR exception will be raised. If a cursor of\n"
                },
                {
                  "kind": "span",
                  "text": "the same 'libAndTile' has already been registered, it will not be\n"
                },
                {
                  "kind": "span",
                  "text": "registered again.\n"
                }
              ]
            }
          ],
          "parameters": [
            {
              "label": "libAndTile",
              "line": 35,
              "column": 38,
              "type": {
                "label": "String"
              },
              "description": [
              ]
            }
          ]
        },
        {
          "label": "Unload_Mouse_Cursors",
          "qualifier": "",
          "line": 38,
          "column": 15,
          "src": "srcs/mouse-cursors-manager.ads.html",
          "summary": [
          ],
          "description": [
            {
              "kind": "code",
              "children": [
                {
                  "kind": "line",
                  "number": 38,
                  "children": [
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": "    "
                    },
                    {
                      "kind": "span",
                      "cssClass": "keyword",
                      "text": "procedure"
                    },
                    {
                      "kind": "span",
                      "cssClass": "text",
                      "text": " "
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": "Unload_Mouse_Cursors",
                      "href": "docs/mouse__cursors__manager___spec.html#L38C15"
                    },
                    {
                      "kind": "span",
                      "cssClass": "identifier",
                      "text": ";"
                    }
                  ]
                }
              ]
            },
            {
              "kind": "paragraph",
              "children": [
                {
                  "kind": "span",
                  "text": "Deletes all registered cursors, unloading the registry for shutdown.\n"
                }
              ]
            }
          ]
        }
      ],
      "label": "Subprograms"
    }
  ]
};