GNATdoc.EntitiesCategory = {
  "label": "Record Types",
  "entities": [
    {
      "label": "Allegro_Any_Event",
      "docHref": "docs/allegro__events___spec.html#L68C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L68"
    },
    {
      "label": "Allegro_Audio_Stream",
      "docHref": "docs/allegro__audio___spec.html#L110C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L110"
    },
    {
      "label": "Allegro_Bitmap",
      "docHref": "docs/allegro__bitmaps___spec.html#L17C10",
      "declared": "Allegro.Bitmaps",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-bitmaps.ads.html#L17"
    },
    {
      "label": "Allegro_Color",
      "docHref": "docs/allegro__color___spec.html#L14C10",
      "declared": "Allegro.Color",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-color.ads.html#L14"
    },
    {
      "label": "Allegro_Config",
      "docHref": "docs/allegro__configuration___spec.html#L14C10",
      "declared": "Allegro.Configuration",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-configuration.ads.html#L14"
    },
    {
      "label": "Allegro_Config_Entry",
      "docHref": "docs/allegro__configuration___spec.html#L20C10",
      "declared": "Allegro.Configuration",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-configuration.ads.html#L20"
    },
    {
      "label": "Allegro_Config_Section",
      "docHref": "docs/allegro__configuration___spec.html#L17C10",
      "declared": "Allegro.Configuration",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-configuration.ads.html#L17"
    },
    {
      "label": "Allegro_Display",
      "docHref": "docs/allegro__displays___spec.html#L16C10",
      "declared": "Allegro.Displays",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-displays.ads.html#L16"
    },
    {
      "label": "Allegro_Display_Event",
      "docHref": "docs/allegro__events___spec.html#L75C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L75"
    },
    {
      "label": "Allegro_Event",
      "docHref": "docs/allegro__events___spec.html#L167C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L167"
    },
    {
      "label": "Allegro_Event_Queue",
      "docHref": "docs/allegro__events___spec.html#L202C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L202"
    },
    {
      "label": "Allegro_Event_Source",
      "docHref": "docs/allegro___spec.html#L14C10",
      "declared": "Allegro",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro.ads.html#L14"
    },
    {
      "label": "Allegro_File",
      "docHref": "docs/allegro__file_io___spec.html#L19C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L19"
    },
    {
      "label": "Allegro_File_Interface",
      "docHref": "docs/allegro__file_io___spec.html#L53C10",
      "declared": "Allegro.File_IO",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-file_io.ads.html#L53"
    },
    {
      "label": "Allegro_Filechooser",
      "docHref": "docs/allegro__native_dialogs___spec.html#L28C10",
      "declared": "Allegro.Native_Dialogs",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-native_dialogs.ads.html#L28"
    },
    {
      "label": "Allegro_Font",
      "docHref": "docs/allegro__fonts___spec.html#L31C10",
      "declared": "Allegro.Fonts",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-fonts.ads.html#L31"
    },
    {
      "label": "Allegro_Glyph",
      "docHref": "docs/allegro__fonts___spec.html#L65C10",
      "declared": "Allegro.Fonts",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-fonts.ads.html#L65"
    },
    {
      "label": "Allegro_Index_Buffer",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L481C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L481"
    },
    {
      "label": "Allegro_Joystick",
      "docHref": "docs/allegro__joystick___spec.html#L14C10",
      "declared": "Allegro.Joystick",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-joystick.ads.html#L14"
    },
    {
      "label": "Allegro_Joystick_Event",
      "docHref": "docs/allegro__events___spec.html#L87C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L87"
    },
    {
      "label": "Allegro_Keyboard",
      "docHref": "docs/allegro__keyboard___spec.html#L190C10",
      "declared": "Allegro.Keyboard",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-keyboard.ads.html#L190"
    },
    {
      "label": "Allegro_Keyboard_Event",
      "docHref": "docs/allegro__events___spec.html#L100C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L100"
    },
    {
      "label": "Allegro_Keyboard_State",
      "docHref": "docs/allegro__keyboard___spec.html#L196C10",
      "declared": "Allegro.Keyboard",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-keyboard.ads.html#L196"
    },
    {
      "label": "Allegro_Locked_Region",
      "docHref": "docs/allegro__bitmaps__locking___spec.html#L19C10",
      "declared": "Allegro.Bitmaps.Locking",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-bitmaps-locking.ads.html#L19"
    },
    {
      "label": "Allegro_Memory_Interface",
      "docHref": "docs/allegro__memory___spec.html#L28C10",
      "declared": "Allegro.Memory",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-memory.ads.html#L28"
    },
    {
      "label": "Allegro_Menu",
      "docHref": "docs/allegro__native_dialogs___spec.html#L131C10",
      "declared": "Allegro.Native_Dialogs",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-native_dialogs.ads.html#L131"
    },
    {
      "label": "Allegro_Menu_Info",
      "docHref": "docs/allegro__native_dialogs___spec.html#L106C10",
      "declared": "Allegro.Native_Dialogs",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-native_dialogs.ads.html#L106"
    },
    {
      "label": "Allegro_Mixer",
      "docHref": "docs/allegro__audio___spec.html#L66C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L66"
    },
    {
      "label": "Allegro_Monitor_Info",
      "docHref": "docs/allegro__displays__monitors___spec.html#L12C10",
      "declared": "Allegro.Displays.Monitors",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-displays-monitors.ads.html#L12"
    },
    {
      "label": "Allegro_Mouse",
      "docHref": "docs/allegro__mouse___spec.html#L15C10",
      "declared": "Allegro.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-mouse.ads.html#L15"
    },
    {
      "label": "Allegro_Mouse_Cursor",
      "docHref": "docs/allegro__mouse__cursors___spec.html#L14C10",
      "declared": "Allegro.Mouse.Cursors",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-mouse-cursors.ads.html#L14"
    },
    {
      "label": "Allegro_Mouse_Event",
      "docHref": "docs/allegro__events___spec.html#L113C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L113"
    },
    {
      "label": "Allegro_Mouse_State",
      "docHref": "docs/allegro__mouse___spec.html#L21C10",
      "declared": "Allegro.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-mouse.ads.html#L21"
    },
    {
      "label": "Allegro_Path",
      "docHref": "docs/allegro__paths___spec.html#L17C10",
      "declared": "Allegro.Paths",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-paths.ads.html#L17"
    },
    {
      "label": "Allegro_Sample",
      "docHref": "docs/allegro__audio___spec.html#L104C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L104"
    },
    {
      "label": "Allegro_Sample_Id",
      "docHref": "docs/allegro__audio___spec.html#L97C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L97"
    },
    {
      "label": "Allegro_Sample_Instance",
      "docHref": "docs/allegro__audio___spec.html#L107C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L107"
    },
    {
      "label": "Allegro_Shader",
      "docHref": "docs/allegro__shaders___spec.html#L16C10",
      "declared": "Allegro.Shaders",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-shaders.ads.html#L16"
    },
    {
      "label": "Allegro_State",
      "docHref": "docs/allegro__state___spec.html#L14C10",
      "declared": "Allegro.State",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-state.ads.html#L14"
    },
    {
      "label": "Allegro_Textlog",
      "docHref": "docs/allegro__native_dialogs___spec.html#L82C10",
      "declared": "Allegro.Native_Dialogs",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-native_dialogs.ads.html#L82"
    },
    {
      "label": "Allegro_Timeout",
      "docHref": "docs/allegro__time___spec.html#L14C10",
      "declared": "Allegro.Time",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-time.ads.html#L14"
    },
    {
      "label": "Allegro_Timer",
      "docHref": "docs/allegro__timers___spec.html#L14C10",
      "declared": "Allegro.Timers",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-timers.ads.html#L14"
    },
    {
      "label": "Allegro_Timer_Event",
      "docHref": "docs/allegro__events___spec.html#L126C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L126"
    },
    {
      "label": "Allegro_Touch_Event",
      "docHref": "docs/allegro__events___spec.html#L136C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L136"
    },
    {
      "label": "Allegro_Touch_Input",
      "docHref": "docs/allegro__touch_input___spec.html#L14C10",
      "declared": "Allegro.Touch_Input",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-touch_input.ads.html#L14"
    },
    {
      "label": "Allegro_Touch_Input_State",
      "docHref": "docs/allegro__touch_input___spec.html#L32C10",
      "declared": "Allegro.Touch_Input",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-touch_input.ads.html#L32"
    },
    {
      "label": "Allegro_Touch_State",
      "docHref": "docs/allegro__touch_input___spec.html#L19C10",
      "declared": "Allegro.Touch_Input",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-touch_input.ads.html#L19"
    },
    {
      "label": "Allegro_Transform",
      "docHref": "docs/allegro__transformations___spec.html#L14C10",
      "declared": "Allegro.Transformations",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-transformations.ads.html#L14"
    },
    {
      "label": "Allegro_User_Event",
      "docHref": "docs/allegro__events___spec.html#L149C10",
      "declared": "Allegro.Events",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-events.ads.html#L149"
    },
    {
      "label": "Allegro_Ustr",
      "docHref": "docs/allegro__utf8___spec.html#L18C10",
      "declared": "Allegro.UTF8",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-utf8.ads.html#L18"
    },
    {
      "label": "Allegro_Ustr_Info",
      "docHref": "docs/allegro__utf8___spec.html#L27C10",
      "declared": "Allegro.UTF8",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-utf8.ads.html#L27"
    },
    {
      "label": "Allegro_Vertex",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L279C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L279"
    },
    {
      "label": "Allegro_Vertex_Buffer",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L423C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L423"
    },
    {
      "label": "Allegro_Vertex_Decl",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L342C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L342"
    },
    {
      "label": "Allegro_Vertex_Element",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L327C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L327"
    },
    {
      "label": "Allegro_Voice",
      "docHref": "docs/allegro__audio___spec.html#L113C10",
      "declared": "Allegro.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-audio.ads.html#L113"
    },
    {
      "label": "Central_File_Header",
      "docHref": "docs/zip__headers___spec.html#L133C8",
      "declared": "Zip.Headers",
      "declared_qualifier": "",
      "srcHref": "srcs/zip-headers.ads.html#L133"
    },
    {
      "label": "Crypto_pack",
      "docHref": "docs/zip__crc_crypto___spec.html#L16C8",
      "declared": "Zip.CRC_Crypto",
      "declared_qualifier": "",
      "srcHref": "srcs/zip-crc_crypto.ads.html#L16"
    },
    {
      "label": "Data_descriptor",
      "docHref": "docs/zip__headers___spec.html#L68C8",
      "declared": "Zip.Headers",
      "declared_qualifier": "",
      "srcHref": "srcs/zip-headers.ads.html#L68"
    },
    {
      "label": "Debug_Info",
      "docHref": "docs/scribble__debugging___spec.html#L41C10",
      "declared": "Scribble.Debugging",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-debugging.ads.html#L41"
    },
    {
      "label": "Direction_Type",
      "docHref": "docs/directions___spec.html#L17C10",
      "declared": "Directions",
      "declared_qualifier": "",
      "srcHref": "srcs/directions.ads.html#L17"
    },
    {
      "label": "Directive_Type",
      "docHref": "docs/directives___spec.html#L21C10",
      "declared": "Directives",
      "declared_qualifier": "",
      "srcHref": "srcs/directives.ads.html#L21"
    },
    {
      "label": "Element",
      "docHref": "docs/quad_trees___spec.html#L97C10",
      "declared": "Quad_Trees",
      "declared_qualifier": "",
      "srcHref": "srcs/quad_trees.ads.html#L97"
    },
    {
      "label": "Emitter",
      "docHref": "docs/particles___spec.html#L48C10",
      "declared": "Particles",
      "declared_qualifier": "",
      "srcHref": "srcs/particles.ads.html#L48"
    },
    {
      "label": "End_of_Central_Dir",
      "docHref": "docs/zip__headers___spec.html#L171C8",
      "declared": "Zip.Headers",
      "declared_qualifier": "",
      "srcHref": "srcs/zip-headers.ads.html#L171"
    },
    {
      "label": "Entity_Tool_Context",
      "docHref": "docs/tool_contexts___spec.html#L22C10",
      "declared": "Tool_Contexts",
      "declared_qualifier": "",
      "srcHref": "srcs/tool_contexts.ads.html#L22"
    },
    {
      "label": "File_Content",
      "docHref": "docs/scribble__io___spec.html#L22C10",
      "declared": "Scribble.IO",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-io.ads.html#L22"
    },
    {
      "label": "Font_Range",
      "docHref": "docs/allegro__fonts___spec.html#L77C10",
      "declared": "Allegro.Fonts",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-fonts.ads.html#L77"
    },
    {
      "label": "FS_routines_type",
      "docHref": "docs/unzip___spec.html#L91C8",
      "declared": "UnZip",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip.ads.html#L91"
    },
    {
      "label": "Func_Name_Rec",
      "docHref": "docs/scribble__debugging___spec.html#L31C10",
      "declared": "Scribble.Debugging",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-debugging.ads.html#L31"
    },
    {
      "label": "Hashed_String",
      "docHref": "docs/hashed_strings___spec.html#L22C10",
      "declared": "Hashed_Strings",
      "declared_qualifier": "",
      "srcHref": "srcs/hashed_strings.ads.html#L22"
    },
    {
      "label": "HufT",
      "docHref": "docs/unzip__decompress__huffman___spec.html#L11C8",
      "declared": "UnZip.Decompress.Huffman",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip-decompress-huffman.ads.html#L11"
    },
    {
      "label": "Joystick_State",
      "docHref": "docs/allegro__joystick___spec.html#L38C10",
      "declared": "Allegro.Joystick",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-joystick.ads.html#L38"
    },
    {
      "label": "Joystick_Stick",
      "docHref": "docs/allegro__joystick___spec.html#L26C10",
      "declared": "Allegro.Joystick",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-joystick.ads.html#L26"
    },
    {
      "label": "Local_File_Header",
      "docHref": "docs/zip__headers___spec.html#L103C8",
      "declared": "Zip.Headers",
      "declared_qualifier": "",
      "srcHref": "srcs/zip-headers.ads.html#L103"
    },
    {
      "label": "LZMA_Decoder_Info",
      "docHref": "docs/lzma_decoding___spec.html#L44C8",
      "declared": "LZMA_Decoding",
      "declared_qualifier": "",
      "srcHref": "srcs/lzma_decoding.ads.html#L44"
    },
    {
      "label": "LZMA_Hints",
      "docHref": "docs/lzma_decoding___spec.html#L25C8",
      "declared": "LZMA_Decoding",
      "declared_qualifier": "",
      "srcHref": "srcs/lzma_decoding.ads.html#L25"
    },
    {
      "label": "Manifold",
      "docHref": "docs/entities__components__solids___spec.html#L59C10",
      "declared": "Entities.Components.Solids",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-solids.ads.html#L59"
    },
    {
      "label": "Map_Tool_Context",
      "docHref": "docs/tool_contexts___spec.html#L31C10",
      "declared": "Tool_Contexts",
      "declared_qualifier": "",
      "srcHref": "srcs/tool_contexts.ads.html#L31"
    },
    {
      "label": "Node",
      "docHref": "docs/quad_trees___spec.html#L117C10",
      "declared": "Quad_Trees",
      "declared_qualifier": "",
      "srcHref": "srcs/quad_trees.ads.html#L117"
    },
    {
      "label": "Pair_Type",
      "docHref": "docs/values__maps___spec.html#L11C10",
      "declared": "Values.Maps",
      "declared_qualifier": "",
      "srcHref": "srcs/values-maps.ads.html#L11"
    },
    {
      "label": "Particle",
      "docHref": "docs/particles___spec.html#L20C10",
      "declared": "Particles",
      "declared_qualifier": "",
      "srcHref": "srcs/particles.ads.html#L20"
    },
    {
      "label": "Point_2D",
      "docHref": "docs/allegro__drawing__primitives___spec.html#L30C10",
      "declared": "Allegro.Drawing.Primitives",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-drawing-primitives.ads.html#L30"
    },
    {
      "label": "Prototype",
      "docHref": "docs/scribble__runtimes___spec.html#L24C10",
      "declared": "Scribble.Runtimes",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-runtimes.ads.html#L24"
    },
    {
      "label": "Rect",
      "docHref": "docs/bin_packing___spec.html#L14C10",
      "declared": "Bin_Packing",
      "declared_qualifier": "",
      "srcHref": "srcs/bin_packing.ads.html#L14"
    },
    {
      "label": "Rect",
      "docHref": "docs/quad_trees___spec.html#L91C10",
      "declared": "Quad_Trees",
      "declared_qualifier": "",
      "srcHref": "srcs/quad_trees.ads.html#L91"
    },
    {
      "label": "Rectangle",
      "docHref": "docs/vector_math___spec.html#L73C10",
      "declared": "Vector_Math",
      "declared_qualifier": "",
      "srcHref": "srcs/vector_math.ads.html#L73"
    },
    {
      "label": "Response_Type",
      "docHref": "docs/events___spec.html#L24C10",
      "declared": "Events",
      "declared_qualifier": "",
      "srcHref": "srcs/events.ads.html#L24"
    },
    {
      "label": "Scribble_State",
      "docHref": "docs/scribble__states___spec.html#L15C10",
      "declared": "Scribble.States",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-states.ads.html#L15"
    },
    {
      "label": "Segment",
      "docHref": "docs/quad_trees___spec.html#L85C10",
      "declared": "Quad_Trees",
      "declared_qualifier": "",
      "srcHref": "srcs/quad_trees.ads.html#L85"
    },
    {
      "label": "Segment",
      "docHref": "docs/vector_math___spec.html#L102C10",
      "declared": "Vector_Math",
      "declared_qualifier": "",
      "srcHref": "srcs/vector_math.ads.html#L102"
    },
    {
      "label": "Table_list",
      "docHref": "docs/unzip__decompress__huffman___spec.html#L24C8",
      "declared": "UnZip.Decompress.Huffman",
      "declared_qualifier": "",
      "srcHref": "srcs/unzip-decompress-huffman.ads.html#L24"
    },
    {
      "label": "Terrain_Corner",
      "docHref": "docs/tiles__terrains___spec.html#L48C10",
      "declared": "Tiles.Terrains",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-terrains.ads.html#L48"
    },
    {
      "label": "Terrain_Definition",
      "docHref": "docs/tiles__terrains___spec.html#L59C10",
      "declared": "Tiles.Terrains",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-terrains.ads.html#L59"
    },
    {
      "label": "Terrain_Edge",
      "docHref": "docs/tiles__terrains___spec.html#L38C10",
      "declared": "Tiles.Terrains",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-terrains.ads.html#L38"
    },
    {
      "label": "Terrain_Tile",
      "docHref": "docs/tiles__terrains___spec.html#L15C10",
      "declared": "Tiles.Terrains",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-terrains.ads.html#L15"
    },
    {
      "label": "Tick_Time",
      "docHref": "docs/processes___spec.html#L13C10",
      "declared": "Processes",
      "declared_qualifier": "",
      "srcHref": "srcs/processes.ads.html#L13"
    },
    {
      "label": "Tile_Change",
      "docHref": "docs/worlds___spec.html#L44C10",
      "declared": "Worlds",
      "declared_qualifier": "",
      "srcHref": "srcs/worlds.ads.html#L44"
    },
    {
      "label": "Timer_Type",
      "docHref": "docs/support__real_time___spec.html#L14C10",
      "declared": "Support.Real_Time",
      "declared_qualifier": "",
      "srcHref": "srcs/support-real_time.ads.html#L14"
    },
    {
      "label": "Token_Location",
      "docHref": "docs/scribble__tokens___spec.html#L16C10",
      "declared": "Scribble.Tokens",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-tokens.ads.html#L16"
    },
    {
      "label": "Unbounded_Stream",
      "docHref": "docs/zip_streams___spec.html#L122C12",
      "declared": "Zip_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/zip_streams.ads.html#L122"
    },
    {
      "label": "Unicode_Range",
      "docHref": "docs/allegro__fonts___spec.html#L227C10",
      "declared": "Allegro.Fonts",
      "declared_qualifier": "",
      "srcHref": "srcs/allegro-fonts.ads.html#L227"
    },
    {
      "label": "Var_Use_Rec",
      "docHref": "docs/scribble__debugging___spec.html#L20C10",
      "declared": "Scribble.Debugging",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-debugging.ads.html#L20"
    },
    {
      "label": "Vec2",
      "docHref": "docs/vector_math___spec.html#L14C10",
      "declared": "Vector_Math",
      "declared_qualifier": "",
      "srcHref": "srcs/vector_math.ads.html#L14"
    },
    {
      "label": "Zip_info",
      "docHref": "docs/zip___spec.html#L54C8",
      "declared": "Zip",
      "declared_qualifier": "",
      "srcHref": "srcs/zip.ads.html#L54"
    },
    {
      "label": "ZipFile_Stream",
      "docHref": "docs/zip_streams___spec.html#L136C12",
      "declared": "Zip_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/zip_streams.ads.html#L136"
    }
  ]
};