GNATdoc.EntitiesCategory = {
  "label": "Tagged Types",
  "entities": [
    {
      "label": "Add_Op",
      "docHref": "docs/values__operations___spec.html#L74C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L74"
    },
    {
      "label": "Anchor",
      "docHref": "docs/widgets___spec.html#L51C10",
      "declared": "Widgets",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets.ads.html#L51"
    },
    {
      "label": "And_Op",
      "docHref": "docs/values__operations___spec.html#L75C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L75"
    },
    {
      "label": "Animation",
      "docHref": "docs/entities__components__animations___spec.html#L30C10",
      "declared": "Entities.Components.Animations",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-animations.ads.html#L30"
    },
    {
      "label": "Application",
      "docHref": "docs/applications___spec.html#L17C10",
      "declared": "Applications",
      "declared_qualifier": "",
      "srcHref": "srcs/applications.ads.html#L17"
    },
    {
      "label": "Archive",
      "docHref": "docs/resources__archives___spec.html#L20C10",
      "declared": "Resources.Archives",
      "declared_qualifier": "",
      "srcHref": "srcs/resources-archives.ads.html#L20"
    },
    {
      "label": "Arguments",
      "docHref": "docs/signals___spec.html#L21C10",
      "declared": "Signals",
      "declared_qualifier": "",
      "srcHref": "srcs/signals.ads.html#L21"
    },
    {
      "label": "Array_Stream",
      "docHref": "docs/zip_streams__array_streams___spec.html#L13C10",
      "declared": "Zip_Streams.Array_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/zip_streams-array_streams.ads.html#L13"
    },
    {
      "label": "Ast_Assign",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L177C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L177"
    },
    {
      "label": "Ast_Binary_Op",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L108C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L108"
    },
    {
      "label": "Ast_Block",
      "docHref": "docs/scribble__ast__statements___spec.html#L68C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L68"
    },
    {
      "label": "Ast_Builtin",
      "docHref": "docs/scribble__ast__expressions___spec.html#L54C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L54"
    },
    {
      "label": "Ast_Conditional",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L259C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L259"
    },
    {
      "label": "Ast_Exit",
      "docHref": "docs/scribble__ast__statements___spec.html#L210C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L210"
    },
    {
      "label": "Ast_Expression",
      "docHref": "docs/scribble__ast__expressions___spec.html#L30C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L30"
    },
    {
      "label": "Ast_Expression_Statement",
      "docHref": "docs/scribble__ast__statements___spec.html#L231C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L231"
    },
    {
      "label": "Ast_Function_Call",
      "docHref": "docs/scribble__ast__expressions___spec.html#L80C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L80"
    },
    {
      "label": "Ast_Function_Definition",
      "docHref": "docs/scribble__ast__functions___spec.html#L38C10",
      "declared": "Scribble.Ast.Functions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-functions.ads.html#L38"
    },
    {
      "label": "Ast_Identifier",
      "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L34C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L34"
    },
    {
      "label": "Ast_If",
      "docHref": "docs/scribble__ast__statements___spec.html#L262C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L262"
    },
    {
      "label": "Ast_Index",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L227C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L227"
    },
    {
      "label": "Ast_List",
      "docHref": "docs/scribble__ast__expressions___spec.html#L167C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L167"
    },
    {
      "label": "Ast_Literal",
      "docHref": "docs/scribble__ast__expressions___spec.html#L204C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L204"
    },
    {
      "label": "Ast_Loop",
      "docHref": "docs/scribble__ast__statements___spec.html#L328C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L328"
    },
    {
      "label": "Ast_Map",
      "docHref": "docs/scribble__ast__expressions___spec.html#L226C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L226"
    },
    {
      "label": "Ast_Member_Call",
      "docHref": "docs/scribble__ast__expressions___spec.html#L138C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L138"
    },
    {
      "label": "Ast_Membership",
      "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L87C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L87"
    },
    {
      "label": "Ast_Name_Expr",
      "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L126C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L126"
    },
    {
      "label": "Ast_Node",
      "docHref": "docs/scribble__ast___spec.html#L64C10",
      "declared": "Scribble.Ast",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast.ads.html#L64"
    },
    {
      "label": "Ast_Reference",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L77C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L77"
    },
    {
      "label": "Ast_Return",
      "docHref": "docs/scribble__ast__statements___spec.html#L368C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L368"
    },
    {
      "label": "Ast_Self",
      "docHref": "docs/scribble__ast__expressions___spec.html#L282C10",
      "declared": "Scribble.Ast.Expressions",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions.ads.html#L282"
    },
    {
      "label": "Ast_Statement",
      "docHref": "docs/scribble__ast__statements___spec.html#L23C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L23"
    },
    {
      "label": "Ast_Symbol",
      "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L13C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L13"
    },
    {
      "label": "Ast_This",
      "docHref": "docs/scribble__ast__expressions__symbols___spec.html#L68C10",
      "declared": "Scribble.Ast.Expressions.Symbols",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-symbols.ads.html#L68"
    },
    {
      "label": "Ast_Unary_Op",
      "docHref": "docs/scribble__ast__expressions__operators___spec.html#L23C10",
      "declared": "Scribble.Ast.Expressions.Operators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-expressions-operators.ads.html#L23"
    },
    {
      "label": "Ast_Var",
      "docHref": "docs/scribble__ast__statements___spec.html#L398C10",
      "declared": "Scribble.Ast.Statements",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-ast-statements.ads.html#L398"
    },
    {
      "label": "Atlas",
      "docHref": "docs/tiles__atlases___spec.html#L16C10",
      "declared": "Tiles.Atlases",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-atlases.ads.html#L16"
    },
    {
      "label": "Attributes",
      "docHref": "docs/entities__components__entity_attributes___spec.html#L63C10",
      "declared": "Entities.Components.Entity_Attributes",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-entity_attributes.ads.html#L63"
    },
    {
      "label": "Audio_Player",
      "docHref": "docs/audio_players___spec.html#L26C10",
      "declared": "Audio_Players",
      "declared_qualifier": "",
      "srcHref": "srcs/audio_players.ads.html#L26"
    },
    {
      "label": "Bin",
      "docHref": "docs/bin_packing___spec.html#L26C10",
      "declared": "Bin_Packing",
      "declared_qualifier": "",
      "srcHref": "srcs/bin_packing.ads.html#L26"
    },
    {
      "label": "Binary_Operation",
      "docHref": "docs/values__operations___spec.html#L52C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L52"
    },
    {
      "label": "Buffer",
      "docHref": "docs/ring_buffers___spec.html#L14C10",
      "declared": "Ring_Buffers",
      "declared_qualifier": "",
      "srcHref": "srcs/ring_buffers.ads.html#L14"
    },
    {
      "label": "Buffer_Stream",
      "docHref": "docs/streams__buffers___spec.html#L16C10",
      "declared": "Streams.Buffers",
      "declared_qualifier": "",
      "srcHref": "srcs/streams-buffers.ads.html#L16"
    },
    {
      "label": "Button",
      "docHref": "docs/widgets__buttons___spec.html#L19C10",
      "declared": "Widgets.Buttons",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-buttons.ads.html#L19"
    },
    {
      "label": "Button_Arguments",
      "docHref": "docs/signals__mouse___spec.html#L45C10",
      "declared": "Signals.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse.ads.html#L45"
    },
    {
      "label": "Button_Connection",
      "docHref": "docs/signals__mouse___spec.html#L54C10",
      "declared": "Signals.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse.ads.html#L54"
    },
    {
      "label": "Button_Signal",
      "docHref": "docs/signals__mouse___spec.html#L66C10",
      "declared": "Signals.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse.ads.html#L66"
    },
    {
      "label": "Camera",
      "docHref": "docs/widgets__scenes__cameras___spec.html#L11C10",
      "declared": "Widgets.Scenes.Cameras",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-scenes-cameras.ads.html#L11"
    },
    {
      "label": "Camera_Target",
      "docHref": "docs/entities__components__camera_targets___spec.html#L27C10",
      "declared": "Entities.Components.Camera_Targets",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-camera_targets.ads.html#L27"
    },
    {
      "label": "Catalog",
      "docHref": "docs/tiles__catalogs___spec.html#L23C10",
      "declared": "Tiles.Catalogs",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-catalogs.ads.html#L23"
    },
    {
      "label": "Code_Generator",
      "docHref": "docs/scribble__code_generators___spec.html#L33C10",
      "declared": "Scribble.Code_Generators",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-code_generators.ads.html#L33"
    },
    {
      "label": "Collidable",
      "docHref": "docs/entities__components__collidables___spec.html#L40C10",
      "declared": "Entities.Components.Collidables",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-collidables.ads.html#L40"
    },
    {
      "label": "Component",
      "docHref": "docs/entities___spec.html#L67C10",
      "declared": "Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/entities.ads.html#L67"
    },
    {
      "label": "Component_System",
      "docHref": "docs/entities__systems___spec.html#L62C10",
      "declared": "Entities.Systems",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-systems.ads.html#L62"
    },
    {
      "label": "Concat_Op",
      "docHref": "docs/values__operations___spec.html#L76C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L76"
    },
    {
      "label": "Config_Screen",
      "docHref": "docs/widgets__game_screens__menus__config___spec.html#L15C10",
      "declared": "Widgets.Game_Screens.Menus.Config",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-game_screens-menus-config.ads.html#L15"
    },
    {
      "label": "Connection",
      "docHref": "docs/signals___spec.html#L17C10",
      "declared": "Signals",
      "declared_qualifier": "",
      "srcHref": "srcs/signals.ads.html#L17"
    },
    {
      "label": "Corral",
      "docHref": "docs/events__corrals___spec.html#L32C10",
      "declared": "Events.Corrals",
      "declared_qualifier": "",
      "srcHref": "srcs/events-corrals.ads.html#L32"
    },
    {
      "label": "Create_World_Event",
      "docHref": "docs/events__world___spec.html#L19C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L19"
    },
    {
      "label": "Definition",
      "docHref": "docs/entities__component_definitions___spec.html#L31C10",
      "declared": "Entities.Component_Definitions",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-component_definitions.ads.html#L31"
    },
    {
      "label": "Dialog_Desc",
      "docHref": "docs/events__keen___spec.html#L14C10",
      "declared": "Events.Keen",
      "declared_qualifier": "",
      "srcHref": "srcs/events-keen.ads.html#L14"
    },
    {
      "label": "Dialog_Event",
      "docHref": "docs/events__keen___spec.html#L41C10",
      "declared": "Events.Keen",
      "declared_qualifier": "",
      "srcHref": "srcs/events-keen.ads.html#L41"
    },
    {
      "label": "Dialog_Response_Event",
      "docHref": "docs/events__keen___spec.html#L57C10",
      "declared": "Events.Keen",
      "declared_qualifier": "",
      "srcHref": "srcs/events-keen.ads.html#L57"
    },
    {
      "label": "Divide_Op",
      "docHref": "docs/values__operations___spec.html#L77C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L77"
    },
    {
      "label": "Element_Style",
      "docHref": "docs/widget_styles___spec.html#L28C10",
      "declared": "Widget_Styles",
      "declared_qualifier": "",
      "srcHref": "srcs/widget_styles.ads.html#L28"
    },
    {
      "label": "Emitter",
      "docHref": "docs/entities__components__emitters___spec.html#L27C10",
      "declared": "Entities.Components.Emitters",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-emitters.ads.html#L27"
    },
    {
      "label": "End_Game_Event",
      "docHref": "docs/events__game___spec.html#L17C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L17"
    },
    {
      "label": "Entity",
      "docHref": "docs/entities___spec.html#L53C10",
      "declared": "Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/entities.ads.html#L53"
    },
    {
      "label": "Entity_Attribute_Event",
      "docHref": "docs/events__entities___spec.html#L40C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L40"
    },
    {
      "label": "Entity_Directive_Event",
      "docHref": "docs/events__entities___spec.html#L200C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L200"
    },
    {
      "label": "Entity_Event",
      "docHref": "docs/events__entities___spec.html#L25C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L25"
    },
    {
      "label": "Entity_Location_Event",
      "docHref": "docs/events__entities___spec.html#L55C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L55"
    },
    {
      "label": "Entity_Moved_Event",
      "docHref": "docs/events__entities___spec.html#L69C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L69"
    },
    {
      "label": "Entity_Resized_Event",
      "docHref": "docs/events__entities___spec.html#L100C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L100"
    },
    {
      "label": "Entity_Size_Event",
      "docHref": "docs/events__entities___spec.html#L86C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L86"
    },
    {
      "label": "Entity_Spawned_Event",
      "docHref": "docs/events__entities___spec.html#L114C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L114"
    },
    {
      "label": "Entity_System",
      "docHref": "docs/entities__systems___spec.html#L50C10",
      "declared": "Entities.Systems",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-systems.ads.html#L50"
    },
    {
      "label": "Entity_Z_Event",
      "docHref": "docs/events__entities___spec.html#L187C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L187"
    },
    {
      "label": "Error_Value",
      "docHref": "docs/values__errors___spec.html#L32C10",
      "declared": "Values.Errors",
      "declared_qualifier": "",
      "srcHref": "srcs/values-errors.ads.html#L32"
    },
    {
      "label": "Event",
      "docHref": "docs/events___spec.html#L47C10",
      "declared": "Events",
      "declared_qualifier": "",
      "srcHref": "srcs/events.ads.html#L47"
    },
    {
      "label": "Event_Manager",
      "docHref": "docs/events__manager___spec.html#L20C10",
      "declared": "Events.Manager",
      "declared_qualifier": "",
      "srcHref": "srcs/events-manager.ads.html#L20"
    },
    {
      "label": "File_Zipstream",
      "docHref": "docs/zip_streams___spec.html#L135C9",
      "declared": "Zip_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/zip_streams.ads.html#L135"
    },
    {
      "label": "Follow_Entity_Event",
      "docHref": "docs/events__entities___spec.html#L156C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L156"
    },
    {
      "label": "Font",
      "docHref": "docs/fonts___spec.html#L19C10",
      "declared": "Fonts",
      "declared_qualifier": "",
      "srcHref": "srcs/fonts.ads.html#L19"
    },
    {
      "label": "Frame_Changed_Event",
      "docHref": "docs/events__entities___spec.html#L176C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L176"
    },
    {
      "label": "Frame_Timer",
      "docHref": "docs/support__real_time___spec.html#L36C10",
      "declared": "Support.Real_Time",
      "declared_qualifier": "",
      "srcHref": "srcs/support-real_time.ads.html#L36"
    },
    {
      "label": "Function_Value",
      "docHref": "docs/values__functions___spec.html#L40C10",
      "declared": "Values.Functions",
      "declared_qualifier": "",
      "srcHref": "srcs/values-functions.ads.html#L40"
    },
    {
      "label": "Game",
      "docHref": "docs/games___spec.html#L30C10",
      "declared": "Games",
      "declared_qualifier": "",
      "srcHref": "srcs/games.ads.html#L30"
    },
    {
      "label": "Game_Application",
      "docHref": "docs/applications__gui__games___spec.html#L17C10",
      "declared": "Applications.Gui.Games",
      "declared_qualifier": "",
      "srcHref": "srcs/applications-gui-games.ads.html#L17"
    },
    {
      "label": "Game_Paused_Event",
      "docHref": "docs/events__game___spec.html#L27C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L27"
    },
    {
      "label": "Game_Play_Screen",
      "docHref": "docs/widgets__game_screens__game_play___spec.html#L26C10",
      "declared": "Widgets.Game_Screens.Game_Play",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-game_screens-game_play.ads.html#L26"
    },
    {
      "label": "Game_Screen",
      "docHref": "docs/widgets__game_screens___spec.html#L26C10",
      "declared": "Widgets.Game_Screens",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-game_screens.ads.html#L26"
    },
    {
      "label": "Game_State_Event",
      "docHref": "docs/events__game___spec.html#L39C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L39"
    },
    {
      "label": "Game_Var_Changed_Event",
      "docHref": "docs/events__game___spec.html#L56C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L56"
    },
    {
      "label": "Game_View",
      "docHref": "docs/game_views___spec.html#L40C10",
      "declared": "Game_Views",
      "declared_qualifier": "",
      "srcHref": "srcs/game_views.ads.html#L40"
    },
    {
      "label": "Generic_Button_Connection",
      "docHref": "docs/signals__mouse__connections___spec.html#L128C10",
      "declared": "Signals.Mouse.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L128"
    },
    {
      "label": "Generic_Connection",
      "docHref": "docs/signals__connections___spec.html#L42C10",
      "declared": "Signals.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-connections.ads.html#L42"
    },
    {
      "label": "Generic_Key_Connection",
      "docHref": "docs/signals__keys__connections___spec.html#L70C10",
      "declared": "Signals.Keys.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-keys-connections.ads.html#L70"
    },
    {
      "label": "Generic_Mouse_Connection",
      "docHref": "docs/signals__mouse__connections___spec.html#L111C10",
      "declared": "Signals.Mouse.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L111"
    },
    {
      "label": "Generic_Scroll_Connection",
      "docHref": "docs/signals__mouse__connections___spec.html#L147C10",
      "declared": "Signals.Mouse.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse-connections.ads.html#L147"
    },
    {
      "label": "Generic_Widget_Connection",
      "docHref": "docs/signals__widgets__connections___spec.html#L58C10",
      "declared": "Signals.Widgets.Connections",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-widgets-connections.ads.html#L58"
    },
    {
      "label": "Gui_Application",
      "docHref": "docs/applications__gui___spec.html#L15C10",
      "declared": "Applications.Gui",
      "declared_qualifier": "",
      "srcHref": "srcs/applications-gui.ads.html#L15"
    },
    {
      "label": "Icon_Type",
      "docHref": "docs/icons___spec.html#L17C10",
      "declared": "Icons",
      "declared_qualifier": "",
      "srcHref": "srcs/icons.ads.html#L17"
    },
    {
      "label": "In_Op",
      "docHref": "docs/values__operations___spec.html#L78C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L78"
    },
    {
      "label": "Index_Op",
      "docHref": "docs/values__operations___spec.html#L79C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L79"
    },
    {
      "label": "Index_Ref_Op",
      "docHref": "docs/values__operations___spec.html#L80C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L80"
    },
    {
      "label": "Input_Box",
      "docHref": "docs/widgets__input_boxes___spec.html#L24C10",
      "declared": "Widgets.Input_Boxes",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-input_boxes.ads.html#L24"
    },
    {
      "label": "Input_Handler",
      "docHref": "docs/input_handlers___spec.html#L22C10",
      "declared": "Input_Handlers",
      "declared_qualifier": "",
      "srcHref": "srcs/input_handlers.ads.html#L22"
    },
    {
      "label": "Keen",
      "docHref": "docs/entities__components__keen4__keens___spec.html#L49C10",
      "declared": "Entities.Components.Keen4.Keens",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-keen4-keens.ads.html#L49"
    },
    {
      "label": "Keen_View",
      "docHref": "docs/game_views__keen___spec.html#L14C10",
      "declared": "Game_Views.Keen",
      "declared_qualifier": "",
      "srcHref": "srcs/game_views-keen.ads.html#L14"
    },
    {
      "label": "Key_Arguments",
      "docHref": "docs/signals__keys___spec.html#L18C10",
      "declared": "Signals.Keys",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-keys.ads.html#L18"
    },
    {
      "label": "Key_Connection",
      "docHref": "docs/signals__keys___spec.html#L14C10",
      "declared": "Signals.Keys",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-keys.ads.html#L14"
    },
    {
      "label": "Key_Event",
      "docHref": "docs/events__input___spec.html#L21C10",
      "declared": "Events.Input",
      "declared_qualifier": "",
      "srcHref": "srcs/events-input.ads.html#L21"
    },
    {
      "label": "Key_Signal",
      "docHref": "docs/signals__keys___spec.html#L16C10",
      "declared": "Signals.Keys",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-keys.ads.html#L16"
    },
    {
      "label": "Key_Typed_Event",
      "docHref": "docs/events__input___spec.html#L33C10",
      "declared": "Events.Input",
      "declared_qualifier": "",
      "srcHref": "srcs/events-input.ads.html#L33"
    },
    {
      "label": "Label",
      "docHref": "docs/widgets__labels___spec.html#L15C10",
      "declared": "Widgets.Labels",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-labels.ads.html#L15"
    },
    {
      "label": "Layer_Create_Event",
      "docHref": "docs/events__world___spec.html#L142C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L142"
    },
    {
      "label": "Layer_Created_Event",
      "docHref": "docs/events__world___spec.html#L166C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L166"
    },
    {
      "label": "Layer_Event",
      "docHref": "docs/events__world___spec.html#L131C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L131"
    },
    {
      "label": "Layer_Property_Event",
      "docHref": "docs/events__world___spec.html#L182C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L182"
    },
    {
      "label": "Layer_Swap_Event",
      "docHref": "docs/events__world___spec.html#L200C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L200"
    },
    {
      "label": "Library_Ptr",
      "docHref": "docs/tiles__libraries___spec.html#L34C10",
      "declared": "Tiles.Libraries",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-libraries.ads.html#L34"
    },
    {
      "label": "Light",
      "docHref": "docs/entities__components__lights___spec.html#L54C10",
      "declared": "Entities.Components.Lights",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-lights.ads.html#L54"
    },
    {
      "label": "Light_Event",
      "docHref": "docs/events__lighting___spec.html#L24C10",
      "declared": "Events.Lighting",
      "declared_qualifier": "",
      "srcHref": "srcs/events-lighting.ads.html#L24"
    },
    {
      "label": "Lighting_System",
      "docHref": "docs/lighting_systems___spec.html#L41C10",
      "declared": "Lighting_Systems",
      "declared_qualifier": "",
      "srcHref": "srcs/lighting_systems.ads.html#L41"
    },
    {
      "label": "Limited_Object",
      "docHref": "docs/objects___spec.html#L88C10",
      "declared": "Objects",
      "declared_qualifier": "",
      "srcHref": "srcs/objects.ads.html#L88"
    },
    {
      "label": "List_Value",
      "docHref": "docs/values__lists___spec.html#L21C10",
      "declared": "Values.Lists",
      "declared_qualifier": "",
      "srcHref": "srcs/values-lists.ads.html#L21"
    },
    {
      "label": "Little_Keen",
      "docHref": "docs/entities__components__keen4__little_keens___spec.html#L27C10",
      "declared": "Entities.Components.Keen4.Little_Keens",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-keen4-little_keens.ads.html#L27"
    },
    {
      "label": "Load_World_Event",
      "docHref": "docs/events__world___spec.html#L43C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L43"
    },
    {
      "label": "Loading_Event",
      "docHref": "docs/events__game___spec.html#L72C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L72"
    },
    {
      "label": "Location",
      "docHref": "docs/entities__components__locations___spec.html#L48C10",
      "declared": "Entities.Components.Locations",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-locations.ads.html#L48"
    },
    {
      "label": "Main_Menu_Screen",
      "docHref": "docs/widgets__game_screens__menus__main___spec.html#L16C10",
      "declared": "Widgets.Game_Screens.Menus.Main",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-game_screens-menus-main.ads.html#L16"
    },
    {
      "label": "Map_Clipped",
      "docHref": "docs/entities__components__map_clipping___spec.html#L38C10",
      "declared": "Entities.Components.Map_Clipping",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-map_clipping.ads.html#L38"
    },
    {
      "label": "Map_Object",
      "docHref": "docs/maps___spec.html#L33C10",
      "declared": "Maps",
      "declared_qualifier": "",
      "srcHref": "srcs/maps.ads.html#L33"
    },
    {
      "label": "Map_Value",
      "docHref": "docs/values__maps___spec.html#L38C10",
      "declared": "Values.Maps",
      "declared_qualifier": "",
      "srcHref": "srcs/values-maps.ads.html#L38"
    },
    {
      "label": "Memory_Zipstream",
      "docHref": "docs/zip_streams___spec.html#L121C9",
      "declared": "Zip_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/zip_streams.ads.html#L121"
    },
    {
      "label": "Menu_Enumeration",
      "docHref": "docs/widgets__menu_enumerations___spec.html#L18C10",
      "declared": "Widgets.Menu_Enumerations",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-menu_enumerations.ads.html#L18"
    },
    {
      "label": "Menu_Event",
      "docHref": "docs/events__application___spec.html#L33C10",
      "declared": "Events.Application",
      "declared_qualifier": "",
      "srcHref": "srcs/events-application.ads.html#L33"
    },
    {
      "label": "Menu_Item",
      "docHref": "docs/widgets__menu_items___spec.html#L17C10",
      "declared": "Widgets.Menu_Items",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-menu_items.ads.html#L17"
    },
    {
      "label": "Menu_Screen",
      "docHref": "docs/widgets__game_screens__menus___spec.html#L17C10",
      "declared": "Widgets.Game_Screens.Menus",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-game_screens-menus.ads.html#L17"
    },
    {
      "label": "Menubar",
      "docHref": "docs/widgets__menubars___spec.html#L17C10",
      "declared": "Widgets.Menubars",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-menubars.ads.html#L17"
    },
    {
      "label": "Message_Entity_Event",
      "docHref": "docs/events__entities___spec.html#L214C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L214"
    },
    {
      "label": "Message_Event",
      "docHref": "docs/events__keen___spec.html#L70C10",
      "declared": "Events.Keen",
      "declared_qualifier": "",
      "srcHref": "srcs/events-keen.ads.html#L70"
    },
    {
      "label": "Message_Screen",
      "docHref": "docs/widgets__game_screens__message___spec.html#L18C10",
      "declared": "Widgets.Game_Screens.Message",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-game_screens-message.ads.html#L18"
    },
    {
      "label": "Modulo_Op",
      "docHref": "docs/values__operations___spec.html#L81C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L81"
    },
    {
      "label": "Mouse_Arguments",
      "docHref": "docs/signals__mouse___spec.html#L18C10",
      "declared": "Signals.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse.ads.html#L18"
    },
    {
      "label": "Mouse_Button_Event",
      "docHref": "docs/events__input___spec.html#L111C10",
      "declared": "Events.Input",
      "declared_qualifier": "",
      "srcHref": "srcs/events-input.ads.html#L111"
    },
    {
      "label": "Mouse_Connection",
      "docHref": "docs/signals__mouse___spec.html#L26C10",
      "declared": "Signals.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse.ads.html#L26"
    },
    {
      "label": "Mouse_Cursor",
      "docHref": "docs/mouse__cursors___spec.html#L15C10",
      "declared": "Mouse.Cursors",
      "declared_qualifier": "",
      "srcHref": "srcs/mouse-cursors.ads.html#L15"
    },
    {
      "label": "Mouse_Event",
      "docHref": "docs/events__input___spec.html#L65C10",
      "declared": "Events.Input",
      "declared_qualifier": "",
      "srcHref": "srcs/events-input.ads.html#L65"
    },
    {
      "label": "Mouse_Scroll_Event",
      "docHref": "docs/events__input___spec.html#L85C10",
      "declared": "Events.Input",
      "declared_qualifier": "",
      "srcHref": "srcs/events-input.ads.html#L85"
    },
    {
      "label": "Mouse_Signal",
      "docHref": "docs/signals__mouse___spec.html#L38C10",
      "declared": "Signals.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse.ads.html#L38"
    },
    {
      "label": "Movement",
      "docHref": "docs/entities__components__movements___spec.html#L55C10",
      "declared": "Entities.Components.Movements",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-movements.ads.html#L55"
    },
    {
      "label": "Multiply_Op",
      "docHref": "docs/values__operations___spec.html#L82C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L82"
    },
    {
      "label": "Negate_Op",
      "docHref": "docs/values__operations___spec.html#L39C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L39"
    },
    {
      "label": "Not_Op",
      "docHref": "docs/values__operations___spec.html#L40C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L40"
    },
    {
      "label": "Object",
      "docHref": "docs/objects___spec.html#L18C10",
      "declared": "Objects",
      "declared_qualifier": "",
      "srcHref": "srcs/objects.ads.html#L18"
    },
    {
      "label": "Or_Op",
      "docHref": "docs/values__operations___spec.html#L83C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L83"
    },
    {
      "label": "Paddle_War",
      "docHref": "docs/widgets__paddle_wars___spec.html#L17C10",
      "declared": "Widgets.Paddle_Wars",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-paddle_wars.ads.html#L17"
    },
    {
      "label": "Paddle_War_Screen",
      "docHref": "docs/widgets__game_screens__paddle_war___spec.html#L15C10",
      "declared": "Widgets.Game_Screens.Paddle_War",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-game_screens-paddle_war.ads.html#L15"
    },
    {
      "label": "Panel",
      "docHref": "docs/widgets__panels___spec.html#L18C10",
      "declared": "Widgets.Panels",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-panels.ads.html#L18"
    },
    {
      "label": "Parser",
      "docHref": "docs/widget_styles__parsers___spec.html#L51C10",
      "declared": "Widget_Styles.Parsers",
      "declared_qualifier": "",
      "srcHref": "srcs/widget_styles-parsers.ads.html#L51"
    },
    {
      "label": "Parser",
      "docHref": "docs/scribble__parsers___spec.html#L124C10",
      "declared": "Scribble.Parsers",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-parsers.ads.html#L124"
    },
    {
      "label": "Particle_System",
      "docHref": "docs/particles__systems___spec.html#L27C10",
      "declared": "Particles.Systems",
      "declared_qualifier": "",
      "srcHref": "srcs/particles-systems.ads.html#L27"
    },
    {
      "label": "Particles_Event",
      "docHref": "docs/events__particles___spec.html#L24C10",
      "declared": "Events.Particles",
      "declared_qualifier": "",
      "srcHref": "srcs/events-particles.ads.html#L24"
    },
    {
      "label": "Pause_Game_Event",
      "docHref": "docs/events__game___spec.html#L93C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L93"
    },
    {
      "label": "Platform_Clipped",
      "docHref": "docs/entities__components__map_clipping__platform___spec.html#L26C10",
      "declared": "Entities.Components.Map_Clipping.Platform",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-map_clipping-platform.ads.html#L26"
    },
    {
      "label": "Play_Audio_Event",
      "docHref": "docs/events__audio___spec.html#L20C10",
      "declared": "Events.Audio",
      "declared_qualifier": "",
      "srcHref": "srcs/events-audio.ads.html#L20"
    },
    {
      "label": "Power_Op",
      "docHref": "docs/values__operations___spec.html#L84C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L84"
    },
    {
      "label": "Precise_Clipped",
      "docHref": "docs/entities__components__map_clipping__precise___spec.html#L25C10",
      "declared": "Entities.Components.Map_Clipping.Precise",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-map_clipping-precise.ads.html#L25"
    },
    {
      "label": "Process_Manager",
      "docHref": "docs/processes__managers___spec.html#L43C10",
      "declared": "Processes.Managers",
      "declared_qualifier": "",
      "srcHref": "srcs/processes-managers.ads.html#L43"
    },
    {
      "label": "Progress_Board",
      "docHref": "docs/widgets__progress_boards___spec.html#L11C10",
      "declared": "Widgets.Progress_Boards",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-progress_boards.ads.html#L11"
    },
    {
      "label": "Property",
      "docHref": "docs/widget_style_properties___spec.html#L15C10",
      "declared": "Widget_Style_Properties",
      "declared_qualifier": "",
      "srcHref": "srcs/widget_style_properties.ads.html#L15"
    },
    {
      "label": "Push_Button",
      "docHref": "docs/widgets__buttons__pushes___spec.html#L17C10",
      "declared": "Widgets.Buttons.Pushes",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-buttons-pushes.ads.html#L17"
    },
    {
      "label": "Ref",
      "docHref": "docs/reference_counting___smart_pointers___spec.html#L31C14",
      "declared": "Reference_Counting.Smart_Pointers",
      "declared_qualifier": "",
      "srcHref": "srcs/reference_counting.ads.html#L31"
    },
    {
      "label": "Reference_Counted",
      "docHref": "docs/reference_counting___spec.html#L16C10",
      "declared": "Reference_Counting",
      "declared_qualifier": "",
      "srcHref": "srcs/reference_counting.ads.html#L16"
    },
    {
      "label": "Renderer",
      "docHref": "docs/renderers___spec.html#L22C10",
      "declared": "Renderers",
      "declared_qualifier": "",
      "srcHref": "srcs/renderers.ads.html#L22"
    },
    {
      "label": "Resize_World_Event",
      "docHref": "docs/events__world___spec.html#L90C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L90"
    },
    {
      "label": "Resource_File",
      "docHref": "docs/resources___spec.html#L29C10",
      "declared": "Resources",
      "declared_qualifier": "",
      "srcHref": "srcs/resources.ads.html#L29"
    },
    {
      "label": "Retry_Screen",
      "docHref": "docs/widgets__game_screens__retry___spec.html#L15C10",
      "declared": "Widgets.Game_Screens.Retry",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-game_screens-retry.ads.html#L15"
    },
    {
      "label": "Root_Zipstream_Type",
      "docHref": "docs/zip_streams___spec.html#L56C9",
      "declared": "Zip_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/zip_streams.ads.html#L56"
    },
    {
      "label": "Scanner",
      "docHref": "docs/scribble__scanners___spec.html#L16C10",
      "declared": "Scribble.Scanners",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-scanners.ads.html#L16"
    },
    {
      "label": "Scene",
      "docHref": "docs/widgets__scenes___spec.html#L39C10",
      "declared": "Widgets.Scenes",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-scenes.ads.html#L39"
    },
    {
      "label": "Scoreboard",
      "docHref": "docs/widgets__scoreboards___spec.html#L11C10",
      "declared": "Widgets.Scoreboards",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-scoreboards.ads.html#L11"
    },
    {
      "label": "Screen_Manager",
      "docHref": "docs/widgets__screen_managers___spec.html#L17C10",
      "declared": "Widgets.Screen_Managers",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-screen_managers.ads.html#L17"
    },
    {
      "label": "Scribble_Compiler",
      "docHref": "docs/scribble__compilers___spec.html#L23C10",
      "declared": "Scribble.Compilers",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-compilers.ads.html#L23"
    },
    {
      "label": "Scribble_Runtime",
      "docHref": "docs/scribble__runtimes___spec.html#L52C10",
      "declared": "Scribble.Runtimes",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-runtimes.ads.html#L52"
    },
    {
      "label": "Scribble_VM",
      "docHref": "docs/scribble__vms___spec.html#L88C10",
      "declared": "Scribble.VMs",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-vms.ads.html#L88"
    },
    {
      "label": "Script",
      "docHref": "docs/entities__components__scripts___spec.html#L94C10",
      "declared": "Entities.Components.Scripts",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-scripts.ads.html#L94"
    },
    {
      "label": "Script_Event",
      "docHref": "docs/events__game___spec.html#L113C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L113"
    },
    {
      "label": "Script_VM",
      "docHref": "docs/script_vms___spec.html#L20C10",
      "declared": "Script_VMs",
      "declared_qualifier": "",
      "srcHref": "srcs/script_vms.ads.html#L20"
    },
    {
      "label": "Scroll_Arguments",
      "docHref": "docs/signals__mouse___spec.html#L76C10",
      "declared": "Signals.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse.ads.html#L76"
    },
    {
      "label": "Scroll_Connection",
      "docHref": "docs/signals__mouse___spec.html#L84C10",
      "declared": "Signals.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse.ads.html#L84"
    },
    {
      "label": "Scroll_Signal",
      "docHref": "docs/signals__mouse___spec.html#L97C10",
      "declared": "Signals.Mouse",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-mouse.ads.html#L97"
    },
    {
      "label": "Scroll_View_Event",
      "docHref": "docs/events__game___spec.html#L127C10",
      "declared": "Events.Game",
      "declared_qualifier": "",
      "srcHref": "srcs/events-game.ads.html#L127"
    },
    {
      "label": "Semantic_Analyzer",
      "docHref": "docs/scribble__semantics___spec.html#L66C10",
      "declared": "Scribble.Semantics",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-semantics.ads.html#L66"
    },
    {
      "label": "Session",
      "docHref": "docs/sessions___spec.html#L63C10",
      "declared": "Sessions",
      "declared_qualifier": "",
      "srcHref": "srcs/sessions.ads.html#L63"
    },
    {
      "label": "Shader_Manager",
      "docHref": "docs/shader_managers___spec.html#L15C10",
      "declared": "Shader_Managers",
      "declared_qualifier": "",
      "srcHref": "srcs/shader_managers.ads.html#L15"
    },
    {
      "label": "Shape_Cache",
      "docHref": "docs/maps__shape_caches___spec.html#L20C10",
      "declared": "Maps.Shape_Caches",
      "declared_qualifier": "",
      "srcHref": "srcs/maps-shape_caches.ads.html#L20"
    },
    {
      "label": "Sign_Op",
      "docHref": "docs/values__operations___spec.html#L41C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L41"
    },
    {
      "label": "Signal",
      "docHref": "docs/signals___spec.html#L19C10",
      "declared": "Signals",
      "declared_qualifier": "",
      "srcHref": "srcs/signals.ads.html#L19"
    },
    {
      "label": "Simple_Namespace",
      "docHref": "docs/scribble__namespaces__simple___spec.html#L16C10",
      "declared": "Scribble.Namespaces.Simple",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-namespaces-simple.ads.html#L16"
    },
    {
      "label": "Solid",
      "docHref": "docs/entities__components__solids___spec.html#L56C10",
      "declared": "Entities.Components.Solids",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-solids.ads.html#L56"
    },
    {
      "label": "Spawn_Entity_Event",
      "docHref": "docs/events__entities___spec.html#L228C10",
      "declared": "Events.Entities",
      "declared_qualifier": "",
      "srcHref": "srcs/events-entities.ads.html#L228"
    },
    {
      "label": "Sprite",
      "docHref": "docs/widgets__sprites___spec.html#L21C10",
      "declared": "Widgets.Sprites",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-sprites.ads.html#L21"
    },
    {
      "label": "State",
      "docHref": "docs/entities__states___spec.html#L52C10",
      "declared": "Entities.States",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-states.ads.html#L52"
    },
    {
      "label": "State_Machine",
      "docHref": "docs/entities__states___spec.html#L66C10",
      "declared": "Entities.States",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-states.ads.html#L66"
    },
    {
      "label": "String_Connection",
      "docHref": "docs/signals__simple___spec.html#L14C10",
      "declared": "Signals.Simple",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-simple.ads.html#L14"
    },
    {
      "label": "String_Signal",
      "docHref": "docs/signals__simple___spec.html#L15C10",
      "declared": "Signals.Simple",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-simple.ads.html#L15"
    },
    {
      "label": "String_Stream",
      "docHref": "docs/scribble__string_streams___spec.html#L16C10",
      "declared": "Scribble.String_Streams",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-string_streams.ads.html#L16"
    },
    {
      "label": "String_Value",
      "docHref": "docs/values__strings___spec.html#L19C10",
      "declared": "Values.Strings",
      "declared_qualifier": "",
      "srcHref": "srcs/values-strings.ads.html#L19"
    },
    {
      "label": "Style_Definition",
      "docHref": "docs/widget_styles__registry___spec.html#L15C10",
      "declared": "Widget_Styles.Registry",
      "declared_qualifier": "",
      "srcHref": "srcs/widget_styles-registry.ads.html#L15"
    },
    {
      "label": "Sub_Menu",
      "docHref": "docs/widgets__menu_items__sub_menus___spec.html#L13C10",
      "declared": "Widgets.Menu_Items.Sub_Menus",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-menu_items-sub_menus.ads.html#L13"
    },
    {
      "label": "Subtract_Op",
      "docHref": "docs/values__operations___spec.html#L85C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L85"
    },
    {
      "label": "Symbol_Token",
      "docHref": "docs/scribble__tokens___spec.html#L163C10",
      "declared": "Scribble.Tokens",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-tokens.ads.html#L163"
    },
    {
      "label": "Textbox",
      "docHref": "docs/widgets__text_boxes___spec.html#L15C10",
      "declared": "Widgets.Text_Boxes",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-text_boxes.ads.html#L15"
    },
    {
      "label": "Thread",
      "docHref": "docs/scribble__vms___spec.html#L20C10",
      "declared": "Scribble.VMs",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-vms.ads.html#L20"
    },
    {
      "label": "Tile_Event",
      "docHref": "docs/events__world___spec.html#L114C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L114"
    },
    {
      "label": "Tile_Library",
      "docHref": "docs/tiles__libraries___spec.html#L33C10",
      "declared": "Tiles.Libraries",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles-libraries.ads.html#L33"
    },
    {
      "label": "Tile_Object",
      "docHref": "docs/tiles___spec.html#L53C10",
      "declared": "Tiles",
      "declared_qualifier": "",
      "srcHref": "srcs/tiles.ads.html#L53"
    },
    {
      "label": "Tile_Sensor",
      "docHref": "docs/entities__components__tile_sensors___spec.html#L39C10",
      "declared": "Entities.Components.Tile_Sensors",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-tile_sensors.ads.html#L39"
    },
    {
      "label": "Title_Screen",
      "docHref": "docs/widgets__game_screens__title___spec.html#L13C10",
      "declared": "Widgets.Game_Screens.Title",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-game_screens-title.ads.html#L13"
    },
    {
      "label": "Token",
      "docHref": "docs/scribble__tokens___spec.html#L125C10",
      "declared": "Scribble.Tokens",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-tokens.ads.html#L125"
    },
    {
      "label": "Token_Ptr",
      "docHref": "docs/scribble__tokens___spec.html#L126C10",
      "declared": "Scribble.Tokens",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-tokens.ads.html#L126"
    },
    {
      "label": "Tokenizer",
      "docHref": "docs/scribble__tokenizers___spec.html#L24C10",
      "declared": "Scribble.Tokenizers",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-tokenizers.ads.html#L24"
    },
    {
      "label": "Tree",
      "docHref": "docs/quad_trees___spec.html#L17C10",
      "declared": "Quad_Trees",
      "declared_qualifier": "",
      "srcHref": "srcs/quad_trees.ads.html#L17"
    },
    {
      "label": "Unary_Operation",
      "docHref": "docs/values__operations___spec.html#L20C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L20"
    },
    {
      "label": "Value",
      "docHref": "docs/values___spec.html#L50C10",
      "declared": "Values",
      "declared_qualifier": "",
      "srcHref": "srcs/values.ads.html#L50"
    },
    {
      "label": "Value_Token",
      "docHref": "docs/scribble__tokens___spec.html#L173C10",
      "declared": "Scribble.Tokens",
      "declared_qualifier": "",
      "srcHref": "srcs/scribble-tokens.ads.html#L173"
    },
    {
      "label": "Visible",
      "docHref": "docs/entities__components__visibles___spec.html#L37C10",
      "declared": "Entities.Components.Visibles",
      "declared_qualifier": "",
      "srcHref": "srcs/entities-components-visibles.ads.html#L37"
    },
    {
      "label": "Widget",
      "docHref": "docs/widgets___spec.html#L78C10",
      "declared": "Widgets",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets.ads.html#L78"
    },
    {
      "label": "Widget_Arguments",
      "docHref": "docs/signals__widgets___spec.html#L15C10",
      "declared": "Signals.Widgets",
      "declared_qualifier": "",
      "srcHref": "srcs/signals-widgets.ads.html#L15"
    },
    {
      "label": "Widget_Style",
      "docHref": "docs/widget_styles___spec.html#L34C10",
      "declared": "Widget_Styles",
      "declared_qualifier": "",
      "srcHref": "srcs/widget_styles.ads.html#L34"
    },
    {
      "label": "Window",
      "docHref": "docs/widgets__windows___spec.html#L27C10",
      "declared": "Widgets.Windows",
      "declared_qualifier": "",
      "srcHref": "srcs/widgets-windows.ads.html#L27"
    },
    {
      "label": "Window_Event",
      "docHref": "docs/events__application___spec.html#L47C10",
      "declared": "Events.Application",
      "declared_qualifier": "",
      "srcHref": "srcs/events-application.ads.html#L47"
    },
    {
      "label": "World_Loaded_Event",
      "docHref": "docs/events__world___spec.html#L54C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L54"
    },
    {
      "label": "World_Object",
      "docHref": "docs/worlds___spec.html#L91C10",
      "declared": "Worlds",
      "declared_qualifier": "",
      "srcHref": "srcs/worlds.ads.html#L91"
    },
    {
      "label": "World_Property_Event",
      "docHref": "docs/events__world___spec.html#L76C10",
      "declared": "Events.World",
      "declared_qualifier": "",
      "srcHref": "srcs/events-world.ads.html#L76"
    },
    {
      "label": "Xor_Op",
      "docHref": "docs/values__operations___spec.html#L86C10",
      "declared": "Values.Operations",
      "declared_qualifier": "",
      "srcHref": "srcs/values-operations.ads.html#L86"
    }
  ]
};